<?php
session_start();
$heslo = "1234"; /*nastavíme si heslo*/
$pass = $_POST['Heslo'];
$login = $_POST['Login'];
$doki="krizek.jpg";
$admi="krizek.jpg";
$sd="";
$sa="";
$sk="</STRONG>";
do {
	@$spojeni = MySQL_Connect('mysql', 'marvik.johny.cz', 'marvik30');
	if (!$spojeni):
		echo "Nepodařilo se připojit k MySQL.<BR>\n";
		break;
	endif;
	MySQL_Select_DB("marvik_johny_cz");
	@$vysledek = MySQL_Query("SELECT doktor.Heslo FROM doktor WHERE doktor.Login='$login'");
	if (!$vysledek):
		echo "Tento login nebyl v databázi nalezen.<BR>\n";
		break;
	endif;
		@$dokturek = MySQL_Query("SELECT doktor.id_doktor FROM doktor WHERE doktor.Login='$login'");
	if (!$dokturek):
		echo "Tento login nebyl v databázi nalezen.<BR>\n";
		break;
	endif;
	@$pocetprihlaseni = MySQL_Query("SELECT doktor.Prihlaseni FROM doktor WHERE doktor.Login='$login'");
	$mucik = MySQL_Fetch_Array($pocetprihlaseni);
	$pocet=$mucik["Prihlaseni"];
	    	while ($zaznam = MySQL_Fetch_Array($vysledek))
	    	$password=$zaznam["Heslo"];
$pelicko = MySQL_Fetch_Array($dokturek);
$pri=$pelicko["id_doktor"];	    	
$_SESSION['prihlaseny'] =$pri;
$olo=$_SESSION['prihlaseny'];        //////zde je chyba

	MySQL_Close($spojeni);    
} while (false);

if ($password==null){
$password=rt;
}

//
/*proměnná $pass se rovná tomu co bylo zadáno ve formulari na strane formular-heslo.php*/ 
       
if (($pass == $password AND $pocet < 3) or ($_SESSION['authuser'] == 1)) {
  $opravneni=Lékař;
  $doki="fajfka.jpg";
  $sd="<STRONG>";
	$_SESSION['authuser'] = 1;
	                      do {
	@$spojeni = MySQL_Connect('mysql', 'marvik.johny.cz', 'marvik30');
	if (!$spojeni):
		echo "Nepodařilo se připojit k MySQL.<BR>\n";
		break;
	endif;
	MySQL_Select_DB("marvik_johny_cz");
MySQL_Query("UPDATE doktor SET Prihlaseni='0' WHERE doktor.Login='$login'");
	    		MySQL_Close($spojeni);    
} while (false);
	/*pokud se zadané a stanovené heslo rovnají, můžeme nastavit session authuser =1, to se bude předávat do všech stránek a díky tomu budete mít také přístup k zaheslovaným stránkám; stránka se normálně načte; musíme také vytvořit možnost, že už bude někdo přihlášený a na úvodní stránku se vrátí proto použijeme-or-
	(což znamená něco jako -nebo-)*/
	}
elseif(($pass == $heslo AND $login==administrator) or ($_SESSION['authuser'] == 2)) {
$_SESSION['authuser'] = 2;
$opravneni=Administrator;
$admi="fajfka.jpg";
$sa="<STRONG>";
$_SESSION['prihlaseny'] = admin;
  }


if (($pass != $password AND $login != administrator)AND ($_SESSION['authuser']==0))	{
$mnolol=$pocet+1;
	                      do {
	@$spojeni = MySQL_Connect('mysql', 'marvik.johny.cz', 'marvik30');
	if (!$spojeni):
		echo "Nepodařilo se připojit k MySQL.<BR>\n";
		break;
	endif;
	MySQL_Select_DB("marvik_johny_cz");
MySQL_Query("UPDATE doktor SET Prihlaseni='$mnolol' WHERE doktor.Login='$login'");
	    		MySQL_Close($spojeni);    
} while (false);
echo "<p>Vstup nepovolen.</p>\n"; 
echo "Možné důvody:</p>\n";
echo "<BR />";
echo "1. Špatný login nebo heslo";
echo "<BR />";
echo "2. Byl jste odhlášen z důvodu časově delší neaktivity";
echo "<BR />";
echo "3. Váš účet je zablokován";
echo "<BR />";
echo "<a href='login.php'>Zpět na přihlašovací stránku</a>";
		exit();
}

 
if ((($pass != $password AND $pass != $heslo) OR $pocet > 3)AND ($_SESSION['authuser']==0))
 {
echo "<p>Vstup nepovolen.</p>\n"; 
echo "Možné důvody:</p>\n";
echo "<BR />";
echo "1. Špatný login nebo heslo";
echo "<BR />";
echo "2. Byl jste odhlášen z důvodu časově delší neaktivity";
echo "<BR />";
//echo "3. Váš účet je zablokován";
echo "<BR />";
echo "<a href='login.php'>Zpět na přihlašovací stránku</a>";
		exit(); 
		}
		

		/*pokud se hesla rovnat nebudou, tak se vypíše echo  a pomocí funkce exit() se přestane stránka načítat*/
		
	
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
  <head>
  <meta http-equiv="content-type" content="text/html; charset=windows-1250">
<title>Diplomová práce</title>
<link rel="stylesheet" type="text/css" href="./css/default.css" media="screen" />
<script type="text/javascript" src="./js/imagelink.js"></script>
  </head>
  <body>
     <body>

<div id="view">
  <!-- #header (hlavička + logo a slogan) -->
  <div id="head">

    <hr class="hidden" />
    <!-- logo a slogan -->
    <div id="logo">
      <h1>Databáze</h1>
      <h2>Neuroinformatika</h2>
      <a href="" class="block">&nbsp;</a>
    </div>
    <!-- /logo a slogan -->
    <hr class="hidden" />
  </div>
  <!-- /#header (hlavička + logo a slogan) -->
  
  <!-- #hlavní část -->
  <div id="content">
    <!-- #levá část webu - hlavní část -->
    <div id="contentBlock">  
      <div class="item">
        <ul class="info">
          <li>Čas vygenerování</li>
          <li class="tag"><?echo Date("H:i");?></li>
               </ul>
               <br />

        <?
$ref = $REMOTE_ADDR; 
echo "<STRONG>Jste příhlášen z IP adresy: </STRONG>"; 
echo "<h4>$ref</h4>";
echo "<BR />";
echo "<TABLE>";
echo "<TR><TD><STRONG>Uživatelské oprávnění:</STRONG>";
echo "<TR><TD>$sa Administrátor: $sk<TD><a href=''><img src='img/$admi'/></a>";
echo "<BR />";
echo "<TD>$sd Lékař: $sk<TD><a href=''><img src='img/$doki'/></a>";
echo "</TABLE>";
echo "<BR />";
echo "<BR />";
echo "<TABLE>";
echo "<TR><TD><STRONG>Práva:</STRONG></TD>";
echo "<TR><TD>Přidání pacienta:<TD><a href=''><img src='img/fajfka.jpg'/></a>";
echo "<TR><TD>Editace pacienta:<TD><a href=''><img src='img/fajfka.jpg'/></a>";
echo "<TR><TD>Smazání pacienta:<TD><a href=''><img src='img/fajfka.jpg'/></a>";
echo "<TR><TD>Přidání lékaře: <TD><a href=''><img src='img/$admi'/></a>";
echo "<TR><TD>Editace lékaře <TD><a href=''><img src='img/$admi'/></a>";
echo "<TR><TD>Smazání lékaře: <TD><a href=''><img src='img/$admi'/></a>";
echo "</TABLE>";
?> 
      </div>      
    
     
    </div>
    <!-- /#levá část webu - hlavní část -->
    <hr class="hidden" />
    <!-- #pravá část webu - submenu -->
    <div id="menuBlock">
        <div class="box subMenu">
        <h3>Odhlášení:</h3>
        <ul>
           <li><a href="index.php">Logout</a></li>
          </ul>
      </div>
      
               <br />
           <div class="box subMenu">
        <h3>Správa pacientů:</h3>
        <ul>
           <li><a href="vypis.php">Výpis záznamů</a></li>
           <li><a href="pridat.php">Přidat záznam</a></li>
           <li><a href="hledat.php">Hledat..</a></li>
    
          </ul>
      </div>  
<?
if ($_SESSION['authuser'] == 2){
echo "<div class='box subMenu'>";
echo "<h3>Správa doktorů:</h3>";
echo "<ul>";
echo "<li><a href='pridatdoktora.php'>Přidat doktora</a></li>";
echo "<li><a href='hledatdoktora.php'>Hledat..</a></li>";
echo "</ul>";
echo "</div>";
}
?>
    </div>
    <!-- /#pravá část webu - hlavní část -->
  </div>
  <!-- /#hlavní část -->
  

  <div id="foot">
    
  </div> 

        </div>

</body>
</html>

  </body>
</html>
